Main Page Alphabetical List Compound List File List Compound Members Related Pages

# TAverageForm Class Reference

MDI-Child for the Average-Raycaster. More...

`#include <MDIAverage.h>`

List of all members.

## Private Methods
void __fastcall | PaintGL ()
| PaintGL is redrawing the precalculated view in the OpenGL-Window - if the window size changes, PrepareGLWindow has to be called first to calculate the new aspect ratio.
void __fastcall | PrepareGLWindow ()
| Aspect ratio and Position of the GLWindow within the client area of the window are recalculated in PrepareGLWindow, this is necessary whenever the window was resized.
void __fastcall | RayCast ()
| RayCast has to be called after one or more of the raycaster parameters have been changed.

## Detailed Description

MDI-Child for the Average-Raycaster.

This Raycaster is Averaging the data value throughout the volume. Since there is no possibility of an early ray termination, it is significantly slower than the first hit or even the transparency views. Detail level can be modified to adjust the step length of the raycaster. Since the average values are not aliasing a lot, the additional effect of trilinear filtering is limited. The resulting image looks much like an x-ray scan, with the white parts reflecting areas of higher overall density (bones) and the dark grey parts tissue of lower density (skin).

Definition at line 34 of file MDIAverage.h.

## Member Function Documentation

void __fastcall TAverageForm::PrepareGLWindow | ( |  | ) | `[private]`

| Aspect ratio and Position of the GLWindow within the client area of the window are recalculated in PrepareGLWindow, this is necessary whenever the window was resized. An additional call to PaintGL is neccessary to redraw the changes. Definition at line 129 of file MDIAverage.cpp. Referenced by PaintGL().

void __fastcall TAverageForm::RayCast | ( |  | ) | `[private]`

| RayCast has to be called after one or more of the raycaster parameters have been changed. The raycaster will reset all values and recalculate the whole viewing array again. An additional call to PaintGL is neccessary to redraw the changes. Definition at line 209 of file MDIAverage.cpp. References rgb::b, rgb::g, rgb::r, vertex::x, vertex::y, and vertex::z.

The documentation for this class was generated from the following files:

- MDIAverage.h
- MDIAverage.cpp